
FUNCTION READ_MULTIPLE_FILES, in
      
        tt=(where(strlen(in.file) gt 10))   ;assuming file name is gt 10 character
     
           input_data1=0    &  input_data2=0    &  input_data3=0
        
         
        IF (N_ELEMENTS(tt) GE 2) THEN  input_data1=READ_AIRS_INPUTS(in.file(tt(0)), in.file(tt(1)))   ;AIRSL1B and  AIRSL2
        IF (N_ELEMENTS(tt) GE 4) THEN  input_data2=READ_AIRS_INPUTS(in.file(tt(2)), in.file(tt(3)))   ;AIRSL1B and  AIRSL2
        IF (N_ELEMENTS(tt) GT 4) THEN  input_data3=READ_AIRS_INPUTS(in.file(tt(4)), in.file(tt(5)))   ;AIRSL1B and  AIRSL2

        all_files=COMBINE_FILES(input_data1,input_data2, input_data3)

 
  RETURN, all_files

END


FUNCTION COMBINE_FILES,f1, f2, f3
;;;;  f1={lat:lat, lon:lon, topo:topo, landfrac:landfrac, sfct:sfct, tprof:tprof,  wprof:wprof, toto:toto, ozone:ozone, adate:adate, ftime:ftime, $
;;;      emiss:emiss, ctp:ctp, qf:qf, li:LI, cape:CAPE, pw1:PW1, pw2:PW2, pw3:PW3,  tpw:tpw, plevs:plevs, rlevs:rlevs }


   tot_f= size(f1, /dimensions) + size(f2, /dimensions) + size(f3, /dimensions)
   d2_size=size(f1.lat, /dimensions)    &    d3_size=size(f1.wprof, /dimensions)
   td2=FLTARR(d2_size[0], d2_size[1]*tot_f)
   td3=FLTARR(d3_size[0], d3_size[1], d3_size[2]*tot_f)
   
   nlat=td2 & nlon=td2 & ntopo=td2  &  nlandfrac=td2    & nsfct=td2  
   ntoto=td2  & nctp=td2 & nqf=td2  &  nli=td2  & ncape=td2  & npw1=td2 &  npw2=td2 & npw3=td2 & ntpw=td2
   
   nozone=td3 & ntprof=td3  & nwprof=td3
   
   IF (size(f1, /dimensions) GT 0) THEN BEGIN
            a=d2_size[0] & b=d2_size[1] &   c=d3_size[0] & d=d3_size[1] & e=d3_size[2]
            ;;;;2D
            nlat[0:a-1, 0:b-1]=f1.lat            &  nlon[0:a-1, 0:b-1]=f1.lon   &  ntopo[0:a-1, 0:b-1]=f1.topo
            nlandfrac[0:a-1, 0:b-1]=f1.landfrac  &  nsfct[0:a-1, 0:b-1]=f1.sfct &  ntoto[0:a-1, 0:b-1]=f1.toto
            nqf[0:a-1, 0:b-1]=f1.qf              &  nli[0:a-1, 0:b-1]=f1.li     &  ncape[0:a-1, 0:b-1]=f1.cape
            npw1[0:a-1, 0:b-1]=f1.pw1            &  npw2[0:a-1, 0:b-1]=f1.pw2   &  npw3[0:a-1, 0:b-1]=f1.pw3
            ntpw[0:a-1, 0:b-1]=f1.tpw
            ;;3D
            nozone[0:c-1, 0:d-1, 0:e-1]=f1.ozone           &  ntprof[0:c-1, 0:d-1, 0:e-1]=f1.tprof   &  nwprof[0:c-1, 0:d-1,0:e-1]=f1.wprof           
                
            IF (size(f2, /dimensions) GT 0) THEN BEGIN    
                     nlat[0:a-1, b:2*b-1]=f2.lat            &  nlon[0:a-1, b:2*b-1]=f2.lon   &  ntopo[0:a-1, b:2*b-1]=f2.topo
                     nlandfrac[0:a-1, b:2*b-1]=f2.landfrac  &  nsfct[0:a-1, b:2*b-1]=f2.sfct &  ntoto[0:a-1, b:2*b-1]=f2.toto
                     nqf[0:a-1, b:2*b-1]=f2.qf              &  nli[0:a-1, b:2*b-1]=f2.li     &  ncape[0:a-1, b:2*b-1]=f2.cape
                     npw1[0:a-1, b:2*b-1]=f2.pw1            &  npw2[0:a-1, b:2*b-1]=f2.pw2   &  npw3[0:a-1, b:2*b-1]=f2.pw3
                     ntpw[0:a-1, b:2*b-1]=f2.tpw
                     ;;3D
                     nozone[0:c-1,  0:d-1, e:2*e-1]=f2.ozone  &  ntprof[0:c-1, 0:d-1, e:2*e-1]=f2.tprof  &  nwprof[0:c-1,  0:d-1, e:2*e-1]=f2.wprof
            ENDIF
            
                               IF (size(f3, /dimensions) GT 0) THEN BEGIN    
                                      nlat[0:a-1, 2*b:3*b-1]=f3.lat            &  nlon[0:a-1, 2*b:3*b-1]=f3.lon    &  ntopo[0:a-1, 2*b:3*b-1]=f3.topo
                                      nlandfrac[0:a-1,2*b:3*b-1]=f3.landfrac   &  nsfct[0:a-1, 2*b:3*b-1]=f3.sfct  &  ntoto[0:a-1, 2*b:3*b-1]=f3.toto
                                      nqf[0:a-1, 2*b:3*b-1]=f3.qf              &  nli[0:a-1,  2*b:3*b-1]=f3.li     &  ncape[0:a-1, 2*b:3*b-1]=f3.cape
                                      npw1[0:a-1,2*b:3*b-1]=f3.pw1             &  npw2[0:a-1,  2*b:3*b-1]=f3.pw2   &  npw3[0:a-1, 2*b:3*b-1]=f3.pw3
                                      ntpw[0:a-1, 2*b:3*b-1]=f3.tpw
                                      ;;3D
                                      nozone[0:c-1,  0:d-1, 2*e:3*e-1]=f3.ozone  &  ntprof[0:c-1, 0:d-1, 2*e:3*e-1]=f3.tprof  &  nwprof[0:c-1,  0:d-1, 2*e:3*e-1]=f3.wprof
                             ENDIF
            
  ENDIF
   
    
combined={lat:nlat, lon:nlon, topo:ntopo, landfrac:nlandfrac, sfct:nsfct, tprof:ntprof,  wprof:nwprof, toto:ntoto, ozone:nozone,$
        ctp:nctp, qf:nqf, li:nli, cape:ncape, pw1:npw1, pw2:npw2, pw3:npw3,  tpw:ntpw, emiss:f1.emiss, adate:f1.adate, ftime:f1.ftime, plevs:f1.plevs, rlevs:f1.rlevs }

RETURN, combined
END