
;;;;------------------------------------------------------------
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
FUNCTION RESIZE_DATA, data, res, new_limit
       
	li=data.li
	cape=data.cape
	pw1=data.pw1
	pw2=data.pw2
	pw3=data.pw3
	tpw=data.tpw
	lat=data.lat
	lon=data.lon
	
	old_img_sz=SIZE(li, /DIMENSIONS)
	
	lats= WHERE(lat GE -90)      & lons=WHERE(lon GE -180)
	latmin=float(MIN(lat(lats))) & lonmin=float(MIN(lon(lons)))
	latmax=float(MAX(lat(lats))) & lonmax=float(MAX(lon(lons)))
	
	lat00=MEDIAN(lat(lats)) & lon00=MEDIAN(lon(lons)) 

  
	;;;; convert distance from degrees lat/lon to km & find new xsize and ysize
      ;;;;;;;; x = 69.1 * (lat2 - lat1)
      ;;;;;;;; y = 69.1 * (lon2 - lon1) * cos(lat1/57.3) 

 	nx =  ROUND(( 69.1 * (ABS(new_limit[2]) - ABS(new_limit[0])) * 1.609344)/RES[1])
  ny =  ROUND((( 69.1 * (ABS(new_limit[3]) - ABS(new_limit[1])) * cos(new_limit[1]/57.3)) *1.609344)/RES[0])

	newli  =CONGRID(li, nx, ny , /INTERP)
	newcape=CONGRID(cape, nx, ny, /INTERP)
	newpw1 =CONGRID(pw1, nx, ny, /INTERP)
	newpw2 =CONGRID(pw2, nx, ny, /INTERP)
	newpw3 =CONGRID(pw3, nx, ny, /INTERP)
	newtpw =CONGRID(tpw, nx, ny, /INTERP)
	newlat =CONGRID(lat, nx, ny, /INTERP)
	newlon =CONGRID(lon, nx, ny, /INTERP)

    ;;;;;Interp is interpulating values between -999.0 and data that results into eg -450.0 (not valid lat or lon)
	;;; fix interp results issue.
	mli=  (min(li(where(li gt  -999.0))))  &  mcape=(min(cape(where(cape gt -999.0)))) &  mpw1= (min(pw1(where(pw1 gt -999.0))))
	mpw2= (min(pw2(where(pw2 gt -999.0)))) &  mpw3=(min(pw3(where(pw3 gt -999.0))))    &  mtpw= (min(tpw(where(tpw gt -999.0))))
  mlat= (min(lat(where(lat gt -999.0)))) &  mlon= (min(lon(where(lon gt -999.0))))
         
   aa= where(newli LT mli)    &   bb=where(newcape LT mcape)  &   cc=where(newpw1 LT mpw1)
   dd= where(newpw2 LT mpw2)  &   ee=where(newpw3 LT mpw3)    &   ff=where(newtpw LT mtpw)
   gg= where(newlat LT mlat)  &   hh=where(newlon LT mlon)
  ; print, n_elements(aa),n_elements(bb),n_elements(cc),n_elements(dd),n_elements(ee),n_elements(ff),n_elements(gg),n_elements(hh)
   
   IF (n_elements(aa) gt 1) THEN newli(aa)= -9999.0   &   IF (n_elements(bb) gt 1) THEN newcape(bb)= -9999.0 
   IF (n_elements(cc) gt 1) THEN newpw1(cc)= -9999.0  &   IF (n_elements(dd) gt 1) THEN newpw2(dd)= -9999.0 
   IF (n_elements(ee) gt 1) THEN newpw3(ee)= -9999.0  &   IF (n_elements(ff) gt 1) THEN newtpw(ff)= -9999.0 
   IF (n_elements(gg) gt 1) THEN newlat(gg)= -9999.0  &   IF (n_elements(hh) gt 1) THEN newlon(hh)= -9999.0 
     ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  rdata={li:newli, cape:newcape, pw1:newpw1, pw2:newpw2, pw3:newpw3, tpw:newtpw,lat:newlat, lon:newlon, $
	 adate:data.adate,lat00:lat00, lon00:lon00, nx:nx, ny:ny}

RETURN, rdata
END
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;------------------------------------------------------------
