;;;;------------------------------------------------------------
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRO WRITE_AWIPS_NetCDF,in, limit, out_pre

      ;;;; variables ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
	low_lat=float(limit[0]) & low_lon=float(limit[1])
	hi_lat=float(limit[2])  &  hi_lon=float(limit[3])
        mid_lat=float((low_lat+ hi_lat)/2)   
	mid_lon=float((low_lon+ hi_lon)/2)   


	FOR ii=0, 5 DO BEGIN

		 CASE ii OF 
		 	0: pre1='li.'
			1: pre1='cape.'
			2: pre1='pw1.'
			3: pre1='pw2.'
			4: pre1='pw3.'
			5:pre1='tpw.'
                 ENDCASE

               fdate=STRTRIM(in.adate.yy)+STRTRIM(in.adate.mm)+STRTRIM(in.adate.dd)+'_'+  $
		      STRTRIM(in.adate.hrs)+STRTRIM(in.adate.mins)+'.nc' 
           
		output=out_pre + pre1 + fdate ;
		
               cdfid=NCDF_CREATE(output, /clobber)
	
		ww=size(in.li, /dimensions)  
		yy=LONG(ww(1)) & xx=LONG(ww(0)) 
		zz=LONG(101) & tt=LONG(2378)
	  
		ydimid =ncdf_dimdef(cdfid, 'y', yy)       ;'Along_Track_Y' 
		xdimid =ncdf_dimdef(cdfid, 'x', xx)       ;'Cross_Track_X'
		
		;;;;Write time
		 atime= STRING(STRTRIM(in.adate.mm)+'-'+STRTRIM(in.adate.dd)+'-'+STRTRIM(in.adate.yy)+' '+ $
				 STRTRIM(in.adate.hrs)+':'+STRTRIM(in.adate.mins)+':'+STRTRIM(in.adate.secs))

		varid0= ncdf_vardef(cdfid, 'validTime', /double)
		ncdf_attput, cdfid, varid0, 'units' , 'Seconds since 1970-1-1 00:00:00.00 0:00'
		;ncdf_attput, cdfid, varid0, 'Time' , atime
 		
 

		 CASE ii OF
		 	0: BEGIN 
				;;;;;;;Write Lifted Index
				varid12= ncdf_vardef(cdfid, 'image', [xdimid, ydimid], /byte)
				ncdf_attput, cdfid, varid12, 'long_name' , 'LiftedIndex'
				;ncdf_attput, cdfid, varid12, 'units' , 'Celsius'
				adata= in.li
			  END
			1:BEGIN
				;;;;;;;Write Convective Avalilable Potential Energy (CAPE)
				varid13= ncdf_vardef(cdfid, 'image', [xdimid, ydimid], /byte)
				ncdf_attput, cdfid, varid13, 'long_name' , 'Convective Avalilable Potential Energy'
				;ncdf_attput, cdfid, varid13, 'units' ,'J/Kg'
				adata=in.cape
			  END
			2:BEGIN
				;;;;;;;Write Precipitable Water 1 (surface - 900 mbar)
				varid14= ncdf_vardef(cdfid, 'image', [xdimid, ydimid], /byte)
				ncdf_attput, cdfid, varid14, 'long_name' , 'Precipitable Water 1'
				;ncdf_attput, cdfid, varid14, 'units' , 'mm'
				adata=in.pw1
			  END
			3:BEGIN
				;;;;;;;Write Precipitable Water 2 (900 - 700 mbar)
				varid15= ncdf_vardef(cdfid, 'image', [xdimid, ydimid], /byte)
				ncdf_attput, cdfid, varid15, 'long_name' , 'Precipitable Water 2'
				;ncdf_attput, cdfid, varid15, 'units' , 'mm'
				adata=in.pw2
			  END
			4:BEGIN
				;;;;;;;Write Precipitable Water 3 (700 - 300 mbar)
				varid16= ncdf_vardef(cdfid, 'image', [xdimid, ydimid], /byte)
				ncdf_attput, cdfid, varid16, 'long_name' , 'Precipitable Water 3'
				;ncdf_attput, cdfid, varid16, 'units' , 'mm'
				adata=in.pw3
			 END
			5:BEGIN
				;;;;;;;Total Precipitable Water 
				varid17= ncdf_vardef(cdfid, 'image', [xdimid, ydimid], /byte)
				ncdf_attput, cdfid, varid17, 'long_name' , 'Total Precipitable Water '
				;ncdf_attput, cdfid, varid17, 'units' , 'mm'
				adata=in.tpw
			 END
		 ENDCASE
		

			;;;global variables eastconus
			        ncdf_attput, cdfid, 'depictorName', 'ConusCyl' , /global  ;'Conus' , /global     ;
              ncdf_attput, cdfid, 'projName','CYLINDRICAL_EQUIDISTANT', /global   ;
              ncdf_attput, cdfid, 'projIndex', LONG(8), /global          ; LONG(3), /global              ;
              ncdf_attput, cdfid, 'lat00', low_lat,   /global
              ncdf_attput, cdfid, 'lon00', low_lon,   /global
	            ncdf_attput, cdfid, 'latNxNy', hi_lat,  /global
	            ncdf_attput, cdfid, 'lonNxNy', hi_lon,  /global
	            ncdf_attput, cdfid, 'centralLat', 00.00, /global    ;; mid_lat,/global
	            ncdf_attput, cdfid, 'centralLon', -97.50, /global   ;; mid_lon ,/global
	            ncdf_attput, cdfid, 'latDxDy',34.7, /global         ;; mid_lat ,/global  ;;where dykm and dxkm are valid
	            ncdf_attput, cdfid, 'lonDxDy', -97.50, /global      ;; mid_lon ,/global
	            ncdf_attput, cdfid, 'dyKm',  7.0   ,/global
	            ncdf_attput, cdfid, 'dxKm',  7.0   ,/global
	            ncdf_attput, cdfid, 'rotation',0.0  ,/global
	            ncdf_attput, cdfid, 'xMin', 0.0  ,/global
	            ncdf_attput, cdfid, 'xMax', 0.0  ,/global
	            ncdf_attput, cdfid, 'yMin', 0.0  ,/global
	            ncdf_attput, cdfid, 'yMax', 0.0  ,/global
	
		      ncdf_control, cdfid, /endef


		 	adata=ROTATE_AWIPS(adata)

		   ncdf_varput, cdfid, varid12, adata 
		   ncdf_close, cdfid

       ENDFOR
print, atime +'    AWIPS_NetCDF file:  Done'

END
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;--------------------------------------------------------------
